#ifndef __MENU_CONVERT_H
#define __MENU_CONVERT_H

#include <string>
#include <vdr/plugin.h>
#include "tracks.h"

using std::string;

class cMenuConvert : public cOsdMenu 
{
    cRecording* recording;
    static cPlugin* Cutalot();
    eOSState ConvertToAudio();
    eOSState ConvertToVideoAudio();
    eOSState Execute();
 protected:
    virtual eOSState ProcessKey(eKeys Key);
 public:
    cMenuConvert(cRecording* Recording);
    static string FormatMark(string trackinfo);
    static eOSState Cut(cRecording* Recording);
};

#endif
